# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Ryan

# Used to describe your yaml. Useful if you have multiple files.
description: Default TCG Card Shop Simulator Template

game: TCG Card Shop Simulator
requires:
  version: 0.6.1 # Version of Archipelago required for this yaml to work as expected.

TCG Card Shop Simulator:
  # Game Options
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # The victory condition for your run. Stuff after the goal level/expasion level req will not be shuffled. 
    # Collect Ghosts hides all ghost cards in locations to be found
    shop_expansion_a: 50
    level: 0
    sell_ghost_cards: 0

  shop_expansion_goal:
    # If on Shop Expansion Goal, What Shop A expansion is your goal
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 3
    # Maximum value is 30
    10: 50
    random: 0
    random-low: 0
    random-high: 0

  level_goal:
    # If on Level Goal, What level are you working to?
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 5
    # Maximum value is 115
    20: 50
    random: 0
    random-low: 0
    random-high: 0

  ghost_goal_amount:
    # If on Ghost cards Goal, How many do you need to sell?
    # This causes ghost card items to be seeded in the multiworld
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 80
    40: 50
    random: 0
    random-low: 0
    random-high: 0

  ghost_level_limit:
    # If on Ghost Goal, What Shop Level Limits which Licenses are in the multiworld?
    # You will be expected to be able to reach this level to win.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 25
    # Maximum value is 115
    25: 50
    random: 0
    random-low: 0
    random-high: 0

  better_trades:
    # Makes Customers always have New cards. If card sanity is on, the cards will always be Checks
    'false': 0
    'true': 50

  sell_check_amount:
    # How many sell checks will each item have?
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 2
    # Maximum value is 16
    2: 50
    random: 0
    random-low: 0
    random-high: 0

  checks_per_pack:
    # How many checks are in each of the 8 packs
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 30
    10: 50
    random: 0
    random-low: 0
    random-high: 0

  card_collect_percent:
    # How much of a pack do you need to collect to get all card checks
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 100
    33: 50
    random: 0
    random-low: 0
    random-high: 0

  game_check_count:
    # How many checks are there for play tables
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 50
    10: 50
    random: 0
    random-low: 0
    random-high: 0

  games_per_check:
    # How many play table games are needed per game check
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 10
    1: 50
    random: 0
    random-low: 0
    random-high: 0

  sell_card_check_count:
    # How many checks are there for selling cards for each 8 card pack types
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 50
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  sell_cards_per_check:
    # How many cards do you need to sell per check
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 10
    1: 50
    random: 0
    random-low: 0
    random-high: 0

  deathlink:
    # Enable Deathlink. Pay your bills or send a death!
    'false': 50
    'true': 0

  card_sanity:
    # Overrides Checks per pack and makes each card a unique check
    # Enables new Cards from that rarity and below to be checks. For each level you add 360 locations. at legendary it is 1452 locations. At destiny Legendary you are adding 2904 checks
    disabled: 50
    basic: 0
    rare: 0
    epic: 0
    legendary: 0
    destiny_basic: 0
    destiny_rare: 0
    destiny_epic: 0
    destiny_legendary: 0

  foil_sanity:
    # Adds Foil cards to Card sanity
    # Halves the amount of checks in card sanity
    'false': 0
    'true': 50

  border_sanity:
    # Adds the borders up to the selected border to Card Sanity.
    # There are ~30 cards in each set of that border.
    base: 50
    firstedition: 0
    silver: 0
    gold: 0
    ex: 0
    fullart: 0

  money_bags:
    # Determines the percentage of Filler contain money
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  xp_boosts:
    # Determines the percentage of Filler contain Shop Xp
    # If your goal is Level goal, these are disabled
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  random_card:
    # Determines the percentage of Filler are random cards. Watch out for repeats!
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  random_new_card:
    # Determines the percentage of Filler are random cards that will always be new
    # if card sanity is checked, these cards will always be a check
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  customer_wealth:
    # Determines the percentage of Filler
    # increases how much money your customers have
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    25: 50
    random: 0
    random-low: 0
    random-high: 0

  card_luck:
    # Determines the percentage of Filler
    # increases your chances to find better cards in packs
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    25: 50
    random: 0
    random-low: 0
    random-high: 0

  trap_fill:
    # Determines the percentage of the junk fill which is filled with traps.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 80
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  stink_trap:
    # You know what this does. Stinky.
    # Determines the percentage of Traps are Stink Traps.
    # Traps must be enabled for this to have any effect.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  poltergeist_trap:
    # Something is messing with the lights
    # Determines the percentage of Traps are Poltergeist Traps.
    # Traps must be enabled for this to have any effect.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  credit_card_failure_trap:
    # Credit cards fail to work for a little while
    # Determines the percentage of Traps are Credit Card Failure Traps.
    # Traps must be enabled for this to have any effect.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  market_change_trap:
    # Causes prices to randomize
    # Determines the percentage of Traps are Market Change Traps.
    # Traps must be enabled for this to have any effect.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  currency_trap:
    # Causes Currency to Randomize
    # Determines the percentage of Traps are Currency Traps.
    # Traps must be enabled for this to have any effect.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  decrease_card_luck_trap:
    # Lowers your card luck
    # Determines the percentage of Traps are Decrease Card Luck Traps.
    # Traps must be enabled for this to have any effect.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    20: 50
    random: 0
    random-low: 0
    random-high: 0

  # Item & Location Options
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []
